package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.system.model.SystemMenuAction;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/18.
 */
public interface IMenuActionDao extends XSQLGeneralDAO {
    List<SystemMenuAction> getAllMenutAction(Map<String, Object> params) throws Exception;

    void activityMenuAction(String menuactionId, String activityFlag) throws Exception;

    SystemMenuAction getMenuActionByNameAndMenuId(String name, String menuid) throws Exception;

    SystemMenuAction getMenuActionByNameAndMenuIdWithOutId(String name, String menuid, String id) throws Exception;
}
